## python-readtime 3.0.0

=== requirements.txt ===
beautifulsoup4>=4.0.1
markdown2>=2.4.3
pyquery>=1.2

=== debian/changelog ===
python-readtime (3.0.0-2) unstable; urgency=medium

  * Source-only upload to allow package to migrate to testing.

 -- Edward Betts <edward@4angle.com>  Sun, 24 Nov 2024 14:05:15 +0000

python-readtime (3.0.0-1) unstable; urgency=medium

  * Initial release. (Closes: #1087648)

 -- Edward Betts <edward@4angle.com>  Sat, 16 Nov 2024 17:44:28 +0100

=== debian/control ===
Source: python-readtime
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Edward Betts <edward@4angle.com>,
Section: python
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 pybuild-plugin-pyproject,
 python3-all,
 python3-setuptools,
Build-Depends-Indep:
 python3-pytest <!nocheck>,
 python3-markdown2 <!nocheck>,
 python3-pyquery <!nocheck>,
Rules-Requires-Root: no
Standards-Version: 4.7.0
Homepage: https://github.com/alanhamlett/readtime
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-readtime
Vcs-Git: https://salsa.debian.org/python-team/packages/python-readtime.git

Package: python3-readtime
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Description: Calculates reading time for text based on Medium's read time formula
 This library determines the time it takes for an average reader to finish a
 given piece of text. Using Medium's read time formula, it calculates the
 reading duration by considering factors such as word count and the number of
 images present. The default speed is set to 265 words per minute for English
 text, with adjustments made for texts in other languages like Chinese,
 Japanese, and Korean, which are measured by character count. Image counts also
 play a role, affecting the overall time calculation to reflect a more accurate
 reading experience. Ideal for assessing text-based content, this tool accounts
 for word and image density to estimate how long readers might need to engage
 with material.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=readtime
export PYBUILD_TEST_PYTEST=1
%:
	dh $@ --buildsystem=pybuild

override_dh_auto_clean:
	dh_auto_clean
	rm -rf readtime.egg-info/

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/python-readtime-$1\.tar\.gz/ \
  https://github.com/alanhamlett/readtime/tags .*/v?(\d\S+)\.tar\.gz
